//*****************************************************************************
// FILE:            WinMTRDialog.h
//
//    Copyleft (C) 2000-2002, Vasile Laurentiu Stanimir ( stanimir@cr.nivis.com )
//
// DESCRIPTION:
//   
//
// NOTES:
//    
//
//*****************************************************************************

#ifndef WINMTRDIALOG_H_
#define WINMTRDIALOG_H_


//*****************************************************************************
// CLASS:  WinMTRDialog
//
//
//*****************************************************************************

class WinMTRDialog : public CDialog
{
public:
	WinMTRDialog(CWnd* pParent = NULL);

	enum { IDD = IDD_WINMTR_DIALOG };
	
	
	CStatusBar	statusBar;

	CButton	m_buttonOptions;
	CButton	m_buttonExit;
	CButton	m_buttonStart;
	CComboBox m_comboHost;
	CListCtrl	m_listMTR;

	CStatic	m_staticS;
	CStatic	m_staticJ;

	CButton	m_buttonExpT;
	CButton	m_buttonExpH;
	
	int InitMTRNet();

	int DisplayRedraw();

	int start;
	double interval;
	int pingsize;
	int maxLRU;
	int nrLRU;
	BOOL useDNS;

	void SetHostName(char *host);
	void SetInterval(float i);
	void SetPingSize(int ps);
	void SetMaxLRU(int mlru);
	void SetUseDNS(BOOL udns);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);

	int m_autostart;
	char msz_defaulthostname[1000];
	
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT, int, int);
	afx_msg void OnSizing(UINT, LPRECT); 
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRestart();
	afx_msg void OnOptions();
	virtual void OnCancel();

	afx_msg void OnCTTC();
	afx_msg void OnCHTC();
	afx_msg void OnEXPT();
	afx_msg void OnEXPH();

	afx_msg BOOL InitRegistry();

	afx_msg void OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult);
	
	DECLARE_MESSAGE_MAP()
};

#endif // ifndef WINMTRDIALOG_H_
